#ifdef GL_ES
precision mediump float;
#endif


uniform sampler2D u_texture;

uniform float u_R;
uniform float u_G;
uniform float u_B;
uniform float u_AR;
uniform float u_AG;
uniform float u_AB;

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;


void main(void)
{
	vec4 col = texture2D(u_texture, v_texCoord); 
	//u_R=0.99;
	//u_G=1.39;
	//u_B=2.6;
	col *= vec4(u_R, u_G, u_B, 1);  
    col.r += col.a * u_AR;  
    col.g += col.a * u_AG;  
    col.b += col.a * u_AB;  
    gl_FragColor = col;  
	
}